
Name:    ktp-call-ui
Summary: Telepathy call handler 
Version: 0.5.0
Release: 1%{?dist}

# most sources LGPLv2+, but a few are GPLv2+
License: GPLv2+
URL:     https://projects.kde.org/projects/extragear/network/telepathy/%{name}
Source0: http://download.kde.org/unstable/kde-telepathy/%{version}/src/%{name}-%{version}.tar.bz2

BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: ktp-common-internals-devel >= %{version}
BuildRequires: pkgconfig(QtGStreamer-0.10)
BuildRequires: pkgconfig(telepathy-farstream)

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}
Requires: ktp-accounts-kcm

%description
%{summary}.

%prep
%setup -q -n ktp-call-ui-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name --with-kde


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%doc COPYING COPYING.LIB
%{_kde4_bindir}/ktp-dialout-ui
%{_kde4_libexecdir}/ktp-call-ui
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.CallUi.service
%{_kde4_appsdir}/ktp-call-ui/callwindowui.rc
%{_datadir}/telepathy/clients/KTp.CallUi.client


%changelog
* Mon Aug 27 2012 Rex Dieter <rdieter@fedoraproject.org> 0.5.0-1
- 0.5.0

* Mon Jul 30 2012 Rex Dieter <rdieter@fedoraproject.org>  0.4.1.1-1
- 0.4.1.1 (includes translations)

* Mon Jul 30 2012 Rex Dieter <rdieter@fedoraproject.org> 0.4.1-2
- drop BR: boost-devel (not used or needed)

* Thu Jul 26 2012 Jan Grulich <jgrulich@redhat.com> - 0.4.1-1
- 0.4.1

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-1
- first try 

